Package com.avaya.clientservices.calllog

## Enum CallLogActionType

- java.lang.Object
- - java.lang.Enum<CallLogActionType>
  - - com.avaya.clientservices.calllog.CallLogActionType

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CallLogActionType>`

      public enum CallLogActionType
      extends java.lang.Enum<CallLogActionType>

  Describes the action type that generated the call log item or the call log event.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ANSWERED` |
    `INCOMING` |
    `MISSED` |
    `OUTGOING` |
    `REDIRECTED` |
    `TRANSFERRED` |
    `UNDEFINED` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CallLogActionType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CallLogActionType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UNDEFINED

          public static final CallLogActionType UNDEFINED

    - #### MISSED

          public static final CallLogActionType MISSED

    - #### REDIRECTED

          public static final CallLogActionType REDIRECTED

    - #### ANSWERED

          public static final CallLogActionType ANSWERED

    - #### OUTGOING

          public static final CallLogActionType OUTGOING

    - #### TRANSFERRED

          public static final CallLogActionType TRANSFERRED

    - #### INCOMING

          public static final CallLogActionType INCOMING

  - ### Method Detail

    - #### values

          public static CallLogActionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CallLogActionType c : CallLogActionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CallLogActionType valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null